Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.javascript.jshint
[Java] Class JsHintExtension

    java.lang.Object
      org.gradle.plugins.javascript.jshint.JsHintExtension

    public class JsHintExtension

Field Summary
`static String` | `CONFIGURATION_NAME`
`static String` | `DEFAULT_DEPENDENCY_GROUP`
`static String` | `DEFAULT_DEPENDENCY_MODULE`
`static String` | `DEFAULT_DEPENDENCY_VERSION`
`static String` | `NAME`

Method Summary
`FileCollection` | `getJs()`
`String` | `getVersion()`
`void` | `setJs(FileCollection js)`
`void` | `setVersion(String version)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### CONFIGURATION_NAME

    public static final String CONFIGURATION_NAME

### DEFAULT_DEPENDENCY_GROUP

    public static final String DEFAULT_DEPENDENCY_GROUP

### DEFAULT_DEPENDENCY_MODULE

    public static final String DEFAULT_DEPENDENCY_MODULE

### DEFAULT_DEPENDENCY_VERSION

    public static final String DEFAULT_DEPENDENCY_VERSION

### NAME

    public static final String NAME

Method Detail

### getJs

    public FileCollection getJs()

### getVersion

    public String getVersion()

### setJs

    public void setJs(FileCollection js)

### setVersion

    public void setVersion(String version)

Gradle API 1.1-rc-1